# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::CopyTexSubImage3D Class Reference

Wraps glCopyTexSubImage3D, see also CopyTexSubImage. To be used also for 2D array textures. More...

`#include <CopyTexSubImage.hpp>`

Inheritance diagram for vl::CopyTexSubImage3D:

List of all members.

## Public Member Functions

| CopyTexSubImage3D (int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height, Texture *texture, EReadDrawBuffer read_buffer=RDB_BACK_LEFT)
virtual const char * | className ()
| Returns the name of the class.
void | setTexture (Texture *tex)
void | setLevel (int level)
void | setXOffset (int xoffset)
void | setYOffset (int yoffset)
void | setZOffset (int zoffset)
void | setX (int x)
void | setY (int y)
void | setWidth (int width)
void | setHeight (int height)
Texture * | texture ()
const Texture * | texture () const
int | level () const
int | xoffset () const
int | yoffset () const
int | zoffset () const
int | x () const
int | y () const
int | width () const
int | height () const
virtual void | copyPixels ()
| Copies the pixels from the specified read buffer to the specified texture.

## Protected Attributes

ref< Texture > | mTexture
int | mLevel
int | mXOffset
int | mYOffset
int | mZOffset
int | mX
int | mY
int | mWidth
int | mHeight

## Detailed Description

Wraps glCopyTexSubImage3D, see also CopyTexSubImage. To be used also for 2D array textures.

## Constructor & Destructor Documentation

vl::CopyTexSubImage3D::CopyTexSubImage3D | ( | int | level,
|  | int | xoffset,
|  | int | yoffset,
|  | int | zoffset,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Texture * | texture,
|  | EReadDrawBuffer | read_buffer = `RDB_BACK_LEFT` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::CopyTexSubImage3D::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderingCallback.

void vl::CopyTexSubImage3D::setTexture | ( | Texture * | tex | ) | `[inline]`

void vl::CopyTexSubImage3D::setLevel | ( | int | level | ) | `[inline]`

void vl::CopyTexSubImage3D::setXOffset | ( | int | xoffset | ) | `[inline]`

void vl::CopyTexSubImage3D::setYOffset | ( | int | yoffset | ) | `[inline]`

void vl::CopyTexSubImage3D::setZOffset | ( | int | zoffset | ) | `[inline]`

void vl::CopyTexSubImage3D::setX | ( | int | x | ) | `[inline]`

void vl::CopyTexSubImage3D::setY | ( | int | y | ) | `[inline]`

void vl::CopyTexSubImage3D::setWidth | ( | int | width | ) | `[inline]`

void vl::CopyTexSubImage3D::setHeight | ( | int | height | ) | `[inline]`

Texture* vl::CopyTexSubImage3D::texture | ( |  | ) | `[inline]`

const Texture* vl::CopyTexSubImage3D::texture | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage3D::level | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage3D::xoffset | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage3D::yoffset | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage3D::zoffset | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage3D::x | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage3D::y | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage3D::width | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage3D::height | ( |  | ) | const`[inline]`

virtual void vl::CopyTexSubImage3D::copyPixels | ( |  | ) | `[inline, virtual]`

Copies the pixels from the specified read buffer to the specified texture.

Implements vl::CopyTexSubImage.

## Member Data Documentation

ref<Texture> vl::CopyTexSubImage3D::mTexture`[protected]`

int vl::CopyTexSubImage3D::mLevel`[protected]`

int vl::CopyTexSubImage3D::mXOffset`[protected]`

int vl::CopyTexSubImage3D::mYOffset`[protected]`

int vl::CopyTexSubImage3D::mZOffset`[protected]`

int vl::CopyTexSubImage3D::mX`[protected]`

int vl::CopyTexSubImage3D::mY`[protected]`

int vl::CopyTexSubImage3D::mWidth`[protected]`

int vl::CopyTexSubImage3D::mHeight`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/CopyTexSubImage.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:34 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.